<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:i0="http://bsestarmf.in/" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="MFOrder" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsp:Policy wsu:Id="WSHttpBinding_MFOrderEntry_policy">
    <wsp:ExactlyOne>
      <wsp:All>
        <wsaw:UsingAddressing />
      </wsp:All>
    </wsp:ExactlyOne>
  </wsp:Policy>
  <wsp:Policy wsu:Id="WSHttpBinding_MFOrderEntry1_policy">
    <wsp:ExactlyOne>
      <wsp:All>
        <sp:TransportBinding xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
          <wsp:Policy>
            <sp:TransportToken>
              <wsp:Policy>
                <sp:HttpsToken RequireClientCertificate="false" />
              </wsp:Policy>
            </sp:TransportToken>
            <sp:AlgorithmSuite>
              <wsp:Policy>
                <sp:Basic256 />
              </wsp:Policy>
            </sp:AlgorithmSuite>
            <sp:Layout>
              <wsp:Policy>
                <sp:Strict />
              </wsp:Policy>
            </sp:Layout>
          </wsp:Policy>
        </sp:TransportBinding>
        <wsaw:UsingAddressing />
      </wsp:All>
    </wsp:ExactlyOne>
  </wsp:Policy>
  <wsdl:import namespace="http://bsestarmf.in/" location="http://bsestarmfdemo.bseindia.com/MFOrderEntry/MFOrder.svc?wsdl=wsdl0" />
  <wsdl:types />
  <wsdl:binding name="WSHttpBinding_MFOrderEntry" type="i0:MFOrderEntry">
    <wsp:PolicyReference URI="#WSHttpBinding_MFOrderEntry_policy" />
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="getPassword">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/getPassword" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="orderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/orderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="spreadOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/spreadOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="switchOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/switchOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sipOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/sipOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="xsipOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/xsipOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Decrypt">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/Decrypt" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WSHttpBinding_MFOrderEntry1" type="i0:MFOrderEntry">
    <wsp:PolicyReference URI="#WSHttpBinding_MFOrderEntry1_policy" />
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="getPassword">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/getPassword" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="orderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/orderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="spreadOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/spreadOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="switchOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/switchOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sipOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/sipOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="xsipOrderEntryParam">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/xsipOrderEntryParam" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Decrypt">
      <soap12:operation soapAction="http://bsestarmf.in/MFOrderEntry/Decrypt" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="MFOrder">
    <wsdl:port name="WSHttpBinding_MFOrderEntry" binding="tns:WSHttpBinding_MFOrderEntry">
      <soap12:address location="http://bsestarmfdemo.bseindia.com/MFOrderEntry/MFOrder.svc" />
      <wsa10:EndpointReference>
        <wsa10:Address>http://bsestarmfdemo.bseindia.com/MFOrderEntry/MFOrder.svc</wsa10:Address>
      </wsa10:EndpointReference>
    </wsdl:port>
    <wsdl:port name="WSHttpBinding_MFOrderEntry1" binding="tns:WSHttpBinding_MFOrderEntry1">
      <soap12:address location="https://bsestarmfdemo.bseindia.com/MFOrderEntry/MFOrder.svc/Secure" />
      <wsa10:EndpointReference>
        <wsa10:Address>https://bsestarmfdemo.bseindia.com/MFOrderEntry/MFOrder.svc/Secure</wsa10:Address>
      </wsa10:EndpointReference>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>